package com.slodon.b2b2c.vo.statistics;

import com.slodon.b2b2c.core.util.TimeUtil;
import com.slodon.b2b2c.statistics.pojo.PlatformDay;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 封装流量分析-流量报表Vo对象
 * @author wuxy
 */
@Data
public class FlowReportVO {

    @ApiModelProperty("统计时间")
    private String statsTime;

    @ApiModelProperty("平台访客数")
    private Integer visitorNum;

    @ApiModelProperty("平台浏览量")
    private Integer viewNum;

    @ApiModelProperty("店铺访客数")
    private Integer storeVisitorNum;

    @ApiModelProperty("店铺浏览量")
    private Integer storeViewNum;

    @ApiModelProperty("商品访客数")
    private Integer goodsVisitorNum;

    @ApiModelProperty("商品浏览量")
    private Integer goodsViewNum;

    public FlowReportVO(PlatformDay platformDay) {
        this.statsTime = TimeUtil.getZDDay(platformDay.getStatsTime());
        this.visitorNum = platformDay.getVisitorNum();
        this.viewNum = platformDay.getViewNum();
        this.storeVisitorNum = platformDay.getStoreVisitorNum();
        this.storeViewNum = platformDay.getStoreViewNum();
        this.goodsVisitorNum = platformDay.getGoodsVisitorNum();
        this.goodsViewNum = platformDay.getGoodsViewNum();
    }

}
